import request from '@/utils/request'

const path = {
  MonitorStatusList: 'api/sysHistoryMonitorStatus/selectPage',
  MonitorStatusDelete: 'api/sysHistoryMonitorStatus/batchDeleteHistoryMonitorStatus',
  pictorialStatement: 'api/sysHistoryMonitorStatus/pictorialStatement',

  MonitorMaintainList: 'api/sysHistoryMonitorMaintain/selectPage',
  MonitorMaintainDelete: 'api/sysHistoryMonitorMaintain/batchDeleteHistoryMonitorMaintain',

  ConnectStatusList: 'api/sysHistoryConnectStatus/selectPage',
  ConnectStatusDelete: 'api/sysHistoryConnectStatus/batchDeleteHistoryConnectStatus',
  ConnectStatusDeleteAll: 'api/sysHistoryConnectStatus/deleteAll',

  ConnectMaintainList: 'api/sysHistoryConnectMaintain/selectPage',
  ConnectMaintainDelete: 'api/sysHistoryConnectMaintain/batchDeleteHistoryConnectMaintain',
  ConnectMaintainDeleteAll: 'api/sysHistoryConnectMaintain/deleteAll',

  commonQuery: 'api/sysHistoryCommon/getSiteAndAlarmAll',
}

export function MonitorStatusList() {
  return request.post(path.MonitorStatusList, ...arguments)
}
export function MonitorStatusDelete() {
  return request.post(path.MonitorStatusDelete, ...arguments)
}
export function pictorialStatement() {
  return request.post(path.pictorialStatement, ...arguments)
}

export function MonitorMaintainList() {
  return request.post(path.MonitorMaintainList, ...arguments)
}
export function MonitorMaintainDelete() {
  return request.post(path.MonitorMaintainDelete, ...arguments)
}


export function ConnectStatusList() {
  return request.post(path.ConnectStatusList, ...arguments)
}
export function ConnectStatusDelete() {
  return request.post(path.ConnectStatusDelete, ...arguments)
}
export function ConnectStatusDeleteAll() {
  return request.post(path.ConnectStatusDeleteAll, ...arguments)
}

export function ConnectMaintainList() {
  return request.post(path.ConnectMaintainList, ...arguments)
}
export function ConnectMaintainDelete() {
  return request.post(path.ConnectMaintainDelete, ...arguments)
}
export function ConnectMaintainDeleteAll() {
  return request.post(path.ConnectMaintainDeleteAll, ...arguments)
}

export function commonQuery() {
  return request.post(path.commonQuery, ...arguments)
}

